package com.wx.application.gorse4j;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

/**
 * 查询的分页结果
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class GorsePage {

    /**
     * 下一页的查询码，查询首页可缺省
     */
    private String cursor;

    private List<User> users;

    private List<Item> items;

    @JsonProperty("Cursor")
    public String getCursor() {
        return cursor;
    }

    @JsonProperty("Users")
    public List<User> getUsers() {
        return users;
    }

    @JsonProperty("Items")
    public List<Item> getItems() {
        return items;
    }

}